dbXML API

## org.dbxml.core.query
Interface Query

public interface Query

Query represents a compiled (parsed and primed) query.

Method Summary
`NodeSet` `execute()` execute actually Executes the query and returns the resulting NodeSet.
`Key[]` `getKeySet()` getKeySet returns the initial set of Keys for this Query.
`NamespaceMap` `getNamespaceMap()` getNamespaceMap returns the Map for prefixed namespace resolution in relation to this Query.
`Collection` `getQueryContext()` getQueryContext returns the Collection context for this query.
`java.lang.String` `getQueryString()` getQueryString returns the String that was used to create the Query instance.
`java.lang.String` `getQueryStyle()` getQueryStyle returns the QueryStyle (ex: XPath) for this Query instance.

Method Detail

### getQueryStyle

    public java.lang.String getQueryStyle()

  getQueryStyle returns the QueryStyle (ex: XPath) for this Query instance.
  Returns:
    The Query style

### getQueryContext

    public Collection getQueryContext()

  getQueryContext returns the Collection context for this query.
  Returns:
    The Collection context

### getQueryString

    public java.lang.String getQueryString()

  getQueryString returns the String that was used to create the Query instance.
  Returns:
    The Query String

### getNamespaceMap

    public NamespaceMap getNamespaceMap()

  getNamespaceMap returns the Map for prefixed namespace resolution in relation to this Query.
  Returns:
    The namespace Map (if any)

### getKeySet

    public Key[] getKeySet()

  getKeySet returns the initial set of Keys for this Query.
  Returns:
    The initial Key set (if any)

### execute

    public NodeSet execute()
                    throws QueryException

  execute actually Executes the query and returns the resulting NodeSet.
  Returns:
    The NodeSet

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved